CANVAS_TEST_FOR_BOUNDARY(3)

EXPERIMENTAL_FUNC
canvas_test_for_boundary - Test if co-ordinates lie within the canvas boundary.

SYNOPSIS
#include <karma_canvas.h>

flag canvas_test_for_boundary

(KWorldCanvas canvas, unsigned int num_coords, CONST double *x, CONST double *y)

DESCRIPTION
Test if co-ordinates lie within the canvas boundary.

canvas
    The world canvas object.

x   The array of horizontal world co-ordinates.

y   The array of vertical world co-ordinates.

num_coords
    The number of co-ordinates to test.

RETURN VALUE
TRUE if any co-ordinates lie within the boundary, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/